package de.renew.application;

import de.renew.simulatorontology.shadow.ShadowCompilationResult;
import de.renew.simulatorontology.simulation.SimulationEnvironment;
import de.renew.simulatorontology.simulation.SimulatorExtension;


/**
 * Default implementation template for extensions to the
 * simulation engine. All methods are implemented by doing simply
 * nothing.
 *
 * @author Michael Duvigneau
 * @since Renew 2.0
 **/
public class SimulatorExtensionAdapter implements SimulatorExtension {

    /**
     * Creates a new <code>SimulatorExtensionAdapter</code> instance.
     */
    public SimulatorExtensionAdapter() {
        super();
    }

    /* Non-JavaDoc: specified by interface SimulatorExtension. */
    @Override
    public void simulationSetup(SimulationEnvironment env) {}

    /* Non-JavaDoc: specified by interface SimulatorExtension. */
    @Override
    public void netsCompiled(ShadowCompilationResult result) {}

    /* Non-JavaDoc: specified by interface SimulatorExtension. */
    @Override
    public void simulationTerminated() {}

    /* Non-JavaDoc: specified by interface SimulatorExtension. */
    @Override
    public void simulationTerminating() {}
}